[android-components](../../../../index.md) / [mozilla.components.concept.engine.request](../../../index.md) / [RequestInterceptor](../../index.md) / [InterceptionResponse](../index.md) / [AppIntent](./index.md)

# AppIntent

`data class AppIntent : `[`InterceptionResponse`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/request/RequestInterceptor.kt#L28)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `AppIntent(appIntent: <ERROR CLASS>, url: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`)` |

### Properties

| Name | Summary |
|---|---|
| [appIntent](app-intent.md) | `val appIntent: <ERROR CLASS>` |
| [url](url.md) | `val url: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
